package com.dlc.eboard.mqtt

import org.eclipse.paho.client.mqttv3.*

/**
 * info
 *
 * @author ReiChin_
 */
class LabMqttClient constructor(
    serverURI: String,
    clientId: String,
    persistence: MqttClientPersistence
) : MqttClient(serverURI, clientId, persistence) {

    var actionListener: IMqttActionListener? = null

    @Throws(MqttSecurityException::class, MqttException::class)
    override fun connect(options: MqttConnectOptions?) {
        aClient.connect(options, null, actionListener).waitForCompletion(getTimeToWait())
    }

}